#*************************************************************************
#
# DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
# 
# Copyright 2008 by Sun Microsystems, Inc.
#
# OpenOffice.org - a multi-platform office productivity suite
#
# $RCSfile: makefile.mk,v $
#
# $Revision: 1.9 $
#
# This file is part of OpenOffice.org.
#
# OpenOffice.org is free software: you can redistribute it and/or modify
# it under the terms of the GNU Lesser General Public License version 3
# only, as published by the Free Software Foundation.
#
# OpenOffice.org is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Lesser General Public License version 3 for more details
# (a copy is included in the LICENSE file that accompanied this code).
#
# You should have received a copy of the GNU Lesser General Public License
# version 3 along with OpenOffice.org.  If not, see
# <http://www.openoffice.org/license.html>
# for a copy of the LGPLv3 License.
#
#*************************************************************************

PRJ=..

PRJNAME=ldump
TARGET=ldump
TARGETTYPE=CUI

# --- Settings -----------------------------------------------------

.INCLUDE : $(PRJ)$/util$/makefile.pmk
.INCLUDE :  settings.mk

UWINAPILIB=$(0)
LIBSALCPPRT=$(0)

# --- Files --------------------------------------------------------

# ldump only supports windows environment
.IF "$(GUI)"=="WNT" || "$(GUI)"=="OS2"
.IF "$(COM)"!="GCC"
#ldump4 reimplements feature set of ldump2 and ldump3
APP1TARGET=	ldump4
.IF "$(GUI)"=="WNT"
APP1STACK=	16000
.ENDIF
APP1OBJS=   $(OBJ)$/ldump.obj $(OBJ)$/hashtbl.obj

.ENDIF #"$(COM)"!="GCC"
.ENDIF #"$(GUI)"=="WNT"

# --- Targets ------------------------------------------------------

.INCLUDE :  target.mk
